Bug 1343320 - [GSS] Gluster fuse client crashed generating core dump
Summary: [GSS] Gluster fuse client crashed generating core dump
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: fuse
Version: rhgs-3.1
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
: RHGS 3.2.0
Assignee: Nithya Balachandran
QA Contact: Prasad Desala
URL:
Whiteboard: dht-qe-3.2, dht-gss, dht-gss-ask, dht...
Depends On:
Blocks: 1343374 1351515 1351530 1354250 1360553
TreeView+ depends on / blocked
 
Reported: 2016-06-07 06:58 UTC by Bipin Kunal
Modified: 2017-05-11 22:33 UTC (History)
9 users (show)

Fixed In Version: glusterfs-3.8.4-1
Doc Type: Bug Fix
Doc Text:
After a connection failure, the Gluster FUSE client did not correctly clean up threads spawned to handle the failure, which resulted in a memory leak. This caused a crash when the process was killed to reclaim memory. Threads are now cleaned up correctly and the process is no longer killed, preventing the crash.
Clone Of:
: 1343374 (view as bug list)
Environment:
Last Closed: 2017-03-23 05:34:56 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0486 normal SHIPPED_LIVE Moderate: Red Hat Gluster Storage 3.2.0 security, bug fix, and enhancement update 2017-03-23 09:18:45 UTC
Red Hat Knowledge Base (Solution) 2361061 None None None 2016-06-09 14:20:06 UTC

Description Bipin Kunal 2016-06-07 06:58:18 UTC
Description of problem:
Client crash with core dump
excessive memory consumption


Version-Release number of selected component (if applicable):

3.7.5-19.el7rhgs.x86_64
RHEL 5

Additional info:
lots of DNS resolution error found in client logs

Comment 4 Nithya Balachandran 2016-06-08 04:25:22 UTC
Upstream patch available at:
http://review.gluster.org/#/c/14661/

Comment 8 Atin Mukherjee 2016-09-17 11:59:57 UTC
Upstream mainline : http://review.gluster.org/14875
Upstream 3.8 : http://review.gluster.org/14979

And the fix is available in rhgs-3.2.0 as part of rebase to GlusterFS 3.8.4.

Comment 12 Prasad Desala 2016-10-25 09:13:05 UTC
Followed the same steps updated in Comment 11 on a 3.1.3 system. I am able to see continuous "DNS resolution failed" errors in the fuse logs and the memory usage keeps growing which results the system to crash.
 
Same steps were followed to verify this BZ on a 3.8.4-2.el7rhgs.x86_64 system. After the fix, no memory leak is seen due to the "DNS resolution failed" errors.

Hence, moving this BZ to Verified.

Comment 18 Nithya Balachandran 2017-03-07 10:58:38 UTC
Looks good. Thanks Laura.

Comment 20 errata-xmlrpc 2017-03-23 05:34:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0486.html


Note You need to log in before you can comment on or make changes to this bug.